Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.cs
Interface CoordinateSystemAxis

All Superinterfaces:
  IdentifiedObject

    @UML(identifier="CS_CoordinateSystemAxis",
         specification=ISO_19111)
    public interface CoordinateSystemAxis

extends IdentifiedObject

Definition of a coordinate system axis. See axis name constraints.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `CoordinateSystem`, `Unit`

Field Summary

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`String` | `getAbbreviation()` The abbreviation used for this coordinate system axes.
`AxisDirection` | `getDirection()` Direction of this coordinate system axis.
`double` | `getMaximumValue()` Returns the maximum value normally allowed for this axis, in the unit of measure for the axis.
`double` | `getMinimumValue()` Returns the minimum value normally allowed for this axis, in the unit of measure for the axis.
`RangeMeaning` | `getRangeMeaning()` Returns the meaning of axis value range specified by the minimum and maximum values.
`Unit` | `getUnit()` The unit of measure used for this coordinate system axis.

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getAbbreviation

    @UML(identifier="axisAbbrev",
         obligation=MANDATORY,
         specification=ISO_19111)
    String getAbbreviation()

  The abbreviation used for this coordinate system axes. This abbreviation is also used to identify the ordinates in coordinate tuple. Examples are "X" and "Y".

  Returns:
    The coordinate system axis abbreviation.

### getDirection

    @UML(identifier="axisDirection",
         obligation=MANDATORY,
         specification=ISO_19111)
    AxisDirection getDirection()

  Direction of this coordinate system axis. In the case of Cartesian projected coordinates, this is the direction of this coordinate system axis locally. Examples: north or south, east or west, up or down. Within any set of coordinate system axes, only one of each pair of terms can be used. For earth-fixed coordinate reference systems, this direction is often approximate and intended to provide a human interpretable meaning to the axis. When a geodetic datum is used, the precise directions of the axes may therefore vary slightly from this approximate direction. Note that an `EngineeringCRS` often requires specific descriptions of the directions of its coordinate system axes.

  Returns:
    The coordinate system axis direction.

### getMinimumValue

    @UML(identifier="minimumValue",
         obligation=OPTIONAL,
         specification=ISO_19111)
    double getMinimumValue()

  Returns the minimum value normally allowed for this axis, in the unit of measure for the axis. If there is no minimum value, then this method returns negative infinity.

### getMaximumValue

    @UML(identifier="maximumValue",
         obligation=OPTIONAL,
         specification=ISO_19111)
    double getMaximumValue()

  Returns the maximum value normally allowed for this axis, in the unit of measure for the axis. If there is no maximum value, then this method returns positive infinity.

### getRangeMeaning

    @UML(identifier="rangeMeaning",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    RangeMeaning getRangeMeaning()

  Returns the meaning of axis value range specified by the minimum and maximum values. This element shall be omitted when both minimum and maximum values are omitted. It may be included when minimum and/or maximum values are included. If this element is omitted when minimum or maximum values are included, the meaning is unspecified.

### getUnit

    @UML(identifier="axisUnitID",
         obligation=MANDATORY,
         specification=ISO_19111)
    Unit getUnit()

  The unit of measure used for this coordinate system axis. The value of this coordinate in a coordinate tuple shall be recorded using this unit of measure, whenever those coordinates use a coordinate reference system that uses a coordinate system that uses this axis.

  Returns:
    The coordinate system axis unit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.